Retrieve a statutory withholding line item
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "statutory_withholding_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "statutory_withholding",
"is_system": true,
"is_managed": true,
"amount": 500,
"custom_amount": null,
"managed_amount": 500,
"statutory_withholding_type": {
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "federal_income_tax",
"label": "Federal Income Tax"
},
"links": {
"self": "/statutory_withholding_types/federal_income_tax"
}
},
"title": "Federal Income Tax",
"title_translations": {
"en": "Federal Income Tax",
"fr": "Impôt fédéral"
},
"title_translated": "Federal Income Tax",
"remittance_account": {
"id": "<id>",
"object": "remittance_account",
"links": {
"self": "/remittance_accounts/<id>"
}
},
"remittance_mode": "automatic",
"source_adjustment": null,
"business_preset": {
"id": "<id>",
"object": "business_preset",
"links": {
"self": "/business_presets/<id>"
}
},
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/statutory_withholding_line_items/<id>"
}
}Statutory Withholding Line Items
Retrieve a statutory withholding line item
GET
/
statutory_withholding_line_items
/
{statutory_withholding_line_item}
Retrieve a statutory withholding line item
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.nmbr.co/services/payroll/statutory_withholding_line_items/{statutory_withholding_line_item}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<id>",
"object": "statutory_withholding_line_item",
"data": {
"pay_stub": {
"id": "<id>",
"object": "pay_stub",
"links": {
"self": "/pay_stubs/<id>"
}
},
"line_item_type": "statutory_withholding",
"is_system": true,
"is_managed": true,
"amount": 500,
"custom_amount": null,
"managed_amount": 500,
"statutory_withholding_type": {
"id": "<id>",
"object": "statutory_withholding_type",
"data": {
"type": "federal_income_tax",
"label": "Federal Income Tax"
},
"links": {
"self": "/statutory_withholding_types/federal_income_tax"
}
},
"title": "Federal Income Tax",
"title_translations": {
"en": "Federal Income Tax",
"fr": "Impôt fédéral"
},
"title_translated": "Federal Income Tax",
"remittance_account": {
"id": "<id>",
"object": "remittance_account",
"links": {
"self": "/remittance_accounts/<id>"
}
},
"remittance_mode": "automatic",
"source_adjustment": null,
"business_preset": {
"id": "<id>",
"object": "business_preset",
"links": {
"self": "/business_presets/<id>"
}
},
"expense_accounting_code": null,
"managed_expense_accounting_code": null,
"custom_expense_accounting_code": null,
"expense_accounting_code_rule": null,
"liability_accounting_code": null,
"managed_liability_accounting_code": null,
"custom_liability_accounting_code": null,
"liability_accounting_code_rule": null,
"component_settings": {
"attributes_locked": false
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/statutory_withholding_line_items/<id>"
}
}Authorizations
Query Parameters
Available options:
business_preset, custom_expense_accounting_code, custom_liability_accounting_code, expense_accounting_code, expense_accounting_code_rule, liability_accounting_code, liability_accounting_code_rule, managed_expense_accounting_code, managed_liability_accounting_code, managed_tag_assignment, pay_stub, remittance_account, source_adjustment, tag_assignment, tag_assignment_amounts Response
200 - application/json
OK
- Default
- With pay_stub expanded
- With remittance_account expanded
- With source_adjustment expanded
- With business_preset expanded
- With expense_accounting_code expanded
- With managed_expense_accounting_code expanded
- With custom_expense_accounting_code expanded
- With expense_accounting_code_rule expanded
- With liability_accounting_code expanded
- With managed_liability_accounting_code expanded
- With custom_liability_accounting_code expanded
- With liability_accounting_code_rule expanded
- With tag_assignment expanded
- With managed_tag_assignment expanded
- With tag_assignment_amounts expanded
Hide child attributes
Hide child attributes
The type of statutory withholding for this line item.
Hide child attributes
Hide child attributes

